# class ActionDispatch::Http::Headers

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/action_dispatch/http/headers.rb, line 6
    def initialize(*args)

      if args.size == 1 && args[0].is_a?(Hash)
        super()
        update(args[0])
      else
        super
      end
    end

### Public Instance Methods

[](header_name) click to toggle source
Calls superclass method

    # File lib/action_dispatch/http/headers.rb, line 16
    def [](header_name)
      if include?(header_name)
        super
      else
        super(env_name(header_name))
      end
    end